package com.emato.ich.entity;

/**
 * 机柜业务配置对象 bz_cab_biz_cfg
 * 
 * @author yangbo
 * @date 2021-06-11
 */
public class BzCabBizCfg
{
    private static final long serialVersionUID = 1L;

    /** 机柜业务配置序号 */
    private Long cabBizCfgId;

    /** 机柜柜组id */
    private Long cabId;

    /** 机柜柜组编号 */
    private String cabSn;

    /** 网点序号，唯一 */
    private Long locationId;

    /** 启用计费，open:开启，close:关闭 */
    private String enableCharge;

    /** 启用黑名单，open:开启，close:关闭 */
    private String enableBlacklist;

    /** 启用白名单，open:开启，close:关闭 */
    private String enableWhitelist;

    /** 白名单作用对象，0:取件人，1:投递人，2:寄件人，3:商户用户 */
    private String whitelistDirectAt;

    /** 短信超时时间，分钟 */
    private Long smsTimeOut;

    /** 滞留件设置，open:开启，close:关闭 */
    private String openRetention;

    /** 滞留件首次提醒件数，滞留件达到多少件首次提醒 */
    private Long retentionFirstAlert;

    /** 滞留件禁止投递件数，滞留件达到多少件不允许投递 */
    private Long retentionMaxDisable;

    /** 短信模板 */
    private String smsTemplate;

    /** 滞留短信模板 */
    private String retentionSmsTemplate;

    /** 站点id */
    private String stationId;

    /** 账户id */
    private String accountId;

    /** 轨迹上报类型 */
    private String traceReportType;

    /** 备注 */
    private String remarks;

    /** 是否有效，0:有效，1:无效 */
    private String isValid;

    /** 创建人编号 */
    private Long creatorId;

    /** 修改人编号 */
    private Long moderId;

    /** 修改时间，yyyy-MM-dd HH:mm:ss */
    private String modTime;

    /** 快递柜默认手机号*/
    private String defaultPhone;

    /** 快递柜序号（1、2、3或者A、B、C） */
    private String cabSerialNo;

    /** 模板类型 0：仅序号1：仅取件码2：序号加取件码 */
    private String templateType;
    /**
     * 柜组详细地址
     */
    private String address;

    /**
     * 取件二维码是否展示 0 展示 1：隐藏
     */
    private String takeQrCodeShow;
    /**
     * 取件码取件是否展示 0 展示 1：隐藏
     */
    private String takeButtonShow;

    public Long getCabBizCfgId() {
        return cabBizCfgId;
    }

    public void setCabBizCfgId(Long cabBizCfgId) {
        this.cabBizCfgId = cabBizCfgId;
    }

    public Long getCabId() {
        return cabId;
    }

    public void setCabId(Long cabId) {
        this.cabId = cabId;
    }

    public String getCabSn() {
        return cabSn;
    }

    public void setCabSn(String cabSn) {
        this.cabSn = cabSn;
    }

    public Long getLocationId() {
        return locationId;
    }

    public void setLocationId(Long locationId) {
        this.locationId = locationId;
    }

    public String getEnableCharge() {
        return enableCharge;
    }

    public void setEnableCharge(String enableCharge) {
        this.enableCharge = enableCharge;
    }

    public String getEnableBlacklist() {
        return enableBlacklist;
    }

    public void setEnableBlacklist(String enableBlacklist) {
        this.enableBlacklist = enableBlacklist;
    }

    public String getEnableWhitelist() {
        return enableWhitelist;
    }

    public void setEnableWhitelist(String enableWhitelist) {
        this.enableWhitelist = enableWhitelist;
    }

    public String getWhitelistDirectAt() {
        return whitelistDirectAt;
    }

    public void setWhitelistDirectAt(String whitelistDirectAt) {
        this.whitelistDirectAt = whitelistDirectAt;
    }

    public Long getSmsTimeOut() {
        return smsTimeOut;
    }

    public void setSmsTimeOut(Long smsTimeOut) {
        this.smsTimeOut = smsTimeOut;
    }

    public String getOpenRetention() {
        return openRetention;
    }

    public void setOpenRetention(String openRetention) {
        this.openRetention = openRetention;
    }

    public Long getRetentionFirstAlert() {
        return retentionFirstAlert;
    }

    public void setRetentionFirstAlert(Long retentionFirstAlert) {
        this.retentionFirstAlert = retentionFirstAlert;
    }

    public Long getRetentionMaxDisable() {
        return retentionMaxDisable;
    }

    public void setRetentionMaxDisable(Long retentionMaxDisable) {
        this.retentionMaxDisable = retentionMaxDisable;
    }

    public String getSmsTemplate() {
        return smsTemplate;
    }

    public void setSmsTemplate(String smsTemplate) {
        this.smsTemplate = smsTemplate;
    }

    public String getRetentionSmsTemplate() {
        return retentionSmsTemplate;
    }

    public void setRetentionSmsTemplate(String retentionSmsTemplate) {
        this.retentionSmsTemplate = retentionSmsTemplate;
    }

    public String getStationId() {
        return stationId;
    }

    public void setStationId(String stationId) {
        this.stationId = stationId;
    }

    public String getAccountId() {
        return accountId;
    }

    public void setAccountId(String accountId) {
        this.accountId = accountId;
    }

    public String getTraceReportType() {
        return traceReportType;
    }

    public void setTraceReportType(String traceReportType) {
        this.traceReportType = traceReportType;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getIsValid() {
        return isValid;
    }

    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    public Long getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(Long creatorId) {
        this.creatorId = creatorId;
    }

    public Long getModerId() {
        return moderId;
    }

    public void setModerId(Long moderId) {
        this.moderId = moderId;
    }

    public String getModTime() {
        return modTime;
    }

    public void setModTime(String modTime) {
        this.modTime = modTime;
    }

    public String getDefaultPhone() {
        return defaultPhone;
    }

    public void setDefaultPhone(String defaultPhone) {
        this.defaultPhone = defaultPhone;
    }

    public String getCabSerialNo() {
        return cabSerialNo;
    }

    public void setCabSerialNo(String cabSerialNo) {
        this.cabSerialNo = cabSerialNo;
    }

    public String getTemplateType() {
        return templateType;
    }

    public void setTemplateType(String templateType) {
        this.templateType = templateType;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getTakeQrCodeShow() {
        return takeQrCodeShow;
    }

    public void setTakeQrCodeShow(String takeQrCodeShow) {
        this.takeQrCodeShow = takeQrCodeShow;
    }

    public String getTakeButtonShow() {
        return takeButtonShow;
    }

    public void setTakeButtonShow(String takeButtonShow) {
        this.takeButtonShow = takeButtonShow;
    }
}
